// $variant: 'dark';
$variant: 'light';

@import '../_colors.scss';
@import '../_drawing.scss';
@import '../_common.scss';

// World Clocks
#clocksWorldMap {
	display: inline-block ;
	height: 400px;
	margin: 0 ;
	width: 100% ;
	background: cover no-repeat !important;
	background-size: 100% 400px;
	background-color:$base_color;
	border-bottom: 1px solid $borders_color;
}

canvas {
	display: inline-block;
	float: left;
}

#worldClocksList {
	.large-label {
		border-radius: 32px;
		padding: 0 16px;
		margin-right: 12px;
	}
}


.clocksEarlyMorning .large-label {
	background-color: lighten(#98c1f1, 10%);
}
.clocksMorning .large-label {
	background-color: lighten(#fae189, 10%);
}
.clocksMidday .large-label {
	background-color: #ecb89c;
}
.clocksAfternoon .large-label {
	background-color: #fae189;
}
.clocksEvening .large-label {
	background-color: #ecb89c;
}
.clocksNight .large-label {
	background-color: #a0a2b7;
}


// Alarm
.alarmItem {
	height: 92px;
	display: inline-block;
	background-color: $base_color;
	border: 1px solid $borders_color;
	// box-shadow: inset 0 0 0 1px rgba(0,0,0,0.15);
	box-shadow: 0 1px 2px 0 rgba(0,0,0,0.1);
	padding:12px 16px;
	width: calc(100% - 32px);
	border-radius: 5px;
	margin-bottom: 6px;

	&.titleless {
		height: 80px;
		.switch,
		.button {
			margin-top:22px;
			margin-bottom:22px;
		}
	}

	&.activeAlarm {
		* {
			color: $fg_color;
			text-shadow:none;
		}
	}

	&.inactiveAlarm {
		background-color: darken($base_color, 2%) !important;
		background: linear-gradient(to bottom, darken($base_color, 2%), darken($base_color, 2%)) !important;
		box-shadow:none;
		border: 1px solid lighten($borders_color, 5%);
		* {
			color: lighten($fg_color, 30%) !important;
			text-shadow:none;
		}
	}

	// &.morningAlarm {
	// 	background-color: #f6d32d;
	// 	background: linear-gradient(to bottom, #f8e45c, lighten(#f6d32d, 20%));
	// 	* {
	// 		color: darken(#f6d32d, 33%);
	// 	}
	// }

	// &.afternoonAlarm {
	// 	background-color: #ffa348;
	// 	background: linear-gradient(to bottom, #ffa348, lighten(#ffa348, 8%));
	// 	* {
	// 		color: darken(#ffa348, 33%);
	// 	}
	// }

	// &.eveningAlarm {
	// 	background-color: #813d9c;
	// 	background: linear-gradient(to top, #813d9c, #50378d);
	// 	* {
	// 		color: $selected_fg_color;
	// 	}
	// }

	.label-group {
		display: block;
		max-width: 60%;
		label {
			display: block;
		}
	}

	.switch,
	.button {
		margin-top:32px;
		margin-bottom:32px;
	}

	.switch{
		margin-right:8px;
	}
}

.alarmTitle {
	// font-size: 16px;
}

.alarmTime {
	line-height: 1.8;
}

.alarmRepeat {
	font-size: 90%;
}

// 

#titlebarClocksAlarms,
#titlebarClocks {
	&:after {
		display: none;
	}
}

// Alarms {
#clocksAlarmRepeatDays {
	>.button {
		padding: 6px 10px;
		span {
			width: 12px !important;
			text-align: center;
			display: inline-block;
		}
	}
}

.alarmTimeSelect {
	max-width: 72px;
	font-size: $font_size * 3;
	font-feature-settings: "tnum";
	font-family: "cantarell_light";
	text-align: right;
	padding-right: 4px;
}

// Stopwatch
.stopwatch {
	font-size: $font_size * 6;
	font-feature-settings: "tnum";
	font-family: "cantarell_light";
	font-weight: 300;
	margin: 24px auto;
}

.controls {
	margin-top: 48px;
	.button {
		display: block;
		width: 64px !important;
		min-width: 64px !important;
		padding: 12px 24px;
	}
}


// Timer
.timer {
	font-feature-settings: "tnum";
	font-family: "cantarell_light";
	font-weight: 300;
	font-size: $font_size * 4;
	vertical-align: middle;
	input {
		text-align: right;
		margin-bottom: 6px;
		margin-top: 6px;
		font: inherit;
		display: inline-block;
		max-width: 140px;
		&::-webkit-inner-spin-button {
		-webkit-appearance: none;
		}
	}
}

@media only screen and (max-width:600px) {
	#titlebarClocks,
	#titlebarClocksAlarms {
		&:after {
			left:-18px;
			display: block;
		}
	}

	.stopwatch {
		font-size: 20vw;
	}
}